<div class="product__container">
  <div class="products__title">
    <span>Mis Tarjetas</span>
  </div>
  <ion-slides pager="true" [options]="slideOpts" pager="false">
    <ion-slide *ngFor="let card of cards; index as i" (click)="choiseCard(card)" >
      <app-cards [card]="card"></app-cards>
    </ion-slide>
    <div class="product__skeletor" *ngIf="cards === null">
      <ion-slide *ngFor="let card of [1,1,1,1]; index as i" >
        <ion-skeleton-text animated style="width: 200px; height: 300px;"></ion-skeleton-text>
      </ion-slide>
    </div>
  </ion-slides>

  <div class="products__title">
    <span>Transacciones</span>
  </div>

  <div>
    <app-transactions-list [infoTransactions]="infoTransactions"></app-transactions-list>
  </div>

  <div *ngIf="infoTransactions === null">
    <ion-list>
      <ion-item *ngFor="let item of [1,1,1,1]">
        <ion-label>
          <div class="row">
            <div class="col-2">
              <ion-skeleton-text animated class="product__skeletor_one"></ion-skeleton-text>
            </div>
            <div class="col-7">
              <ion-skeleton-text animated style="width: 100%;"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 50%;"></ion-skeleton-text>
            </div>
            <div class="col-3">
              <ion-skeleton-text animated style="width: 60%;"></ion-skeleton-text>
            </div>
          </div>
        </ion-label>

      </ion-item>
    </ion-list>
  </div>



</div>
